import request from '@/config/axios'

// 获取学校基本信息
export const getSchoolInformation = async () => {
	return await request.get({
		url: '/app-api/menduner/system/teacher/info/get'
	})
}

// 注册学校账号
export const schoolRegister = async (data) => {
	return await request.post({
		url: '/app-api/menduner/system/teacher/info/register',
		data
	})
}

// 学生列表
export const studentList = async (params) => {
	return await request.get({
		url: '/app-api/menduner/system/teacher/school/student/page',
		params
	})
}

// 学生详情
export const getStudentDetailsById = async (params) => {
	return await request.get({
		url: '/app-api/menduner/system/teacher/school/student/get',
		params
	})
}

// 学生详情
export const stuDetail = async (data) => {
	return await request.post({
		url: '/app-api/flames/student/detail',
		data
	})
}

// 实习证书
export const certificateList = async (data) => {
	return await request.post({
		url: '/app-api/flames/student/internship/certificate/list',
		data
	})
}

// 推荐信
export const recommendationList = async (data) => {
	return await request.post({
		url: '/app-api/flames/student/recommendation/list',
		data
	})
}

// 实习企业列表
export const internshipCompanyList = async (data) => {
	return await request.post({
		url: '/app-api/flames/enterprise/school/practice/list',
		data
	})
}

// 学校列表
export const flameSchoolList = async (params) => {
	return await request.get({
		url: '/app-api/menduner/system/school/list',
		params
	})
}

// 更新老师信息
export const updateTeacherInfo = async (data) => {
	return await request.post({
		url: '/app-api/menduner/system/teacher/info/update',
		data
	})
}

// 更新学校信息
export const updateSchoolInfo = async (data) => {
	return await request.post({
		url: '/app-api/menduner/system/teacher/school/update',
		data
	})
}

// 获取学校机构列表
export const getSchoolOrganizationList = async (params) => {
	return await request.get({
		url: '/app-api/menduner/system/teacher/school/organization/list',
		params
	})
}

// 获取机构分页
export const getOrganizationPage = async (params) => {
	return await request.get({
		url: '/app-api/menduner/system/teacher/school/organization/page',
		params
	})
}

// 获取机构列表
export const getOrganizationList = async (params) => {
	return await request.get({
		url: '/app-api/menduner/system/teacher/school/organization/list',
		params
	})
}

// 获取机构树状结构
export const getOrganizationTree = async (params) => {
	return await request.get({
		url: '/app-api/menduner/system/teacher/school/organization/get/tree',
		params
	})
}

// 创建机构
export const createOrganization = async (data) => {
	return await request.post({
		url: '/app-api/menduner/system/teacher/school/organization/create',
		data
	})
}

// 更新机构
export const updateOrganization = async (data) => {
	return await request.post({
		url: '/app-api/menduner/system/teacher/school/organization/update',
		data
	})
}

// 删除机构
export const deleteOrganization = async (id) => {
	return await request.post({
		url: '/app-api/menduner/system/teacher/school/delete?id=' + id
	})
}

// 根据id获取学生实习情况
export const getInternshipById = async (params) => {
	return await request.get({
		url: '/app-api/menduner/system/teacher/school/student/practice/record/get',
		params
	})
}

// 根据id获取学生实习报告
export const getStudentPracticeReportById = async (params) => {
	return await request.get({
		url: '/app-api/menduner/system/teacher/school/student/report/get',
		params
	})
}

// 获取学生实习的企业列表
export const getStudentPracticeCompanyList = async (params) => {
	return await request.get({
		url: '/app-api/menduner/system/teacher/school/student/practice/record-enterprise/list',
		params
	})
}

// 实习情况-数值统计
export const studentPracticeRecordCount = async (params) => {
	return await request.get({
		url: '/app-api/menduner/system/teacher/school/student/practice/record-status/count',
		params
	})
}

// 实习情况-列表状态数值钻取
export const studentPracticeRecordPage = async (params) => {
	return await request.get({
		url: '/app-api/menduner/system/teacher/school/student/practice/record/page',
		params
	})
}

// 实习情况-分页列表
export const studentPracticePage = async (params) => {
	return await request.get({
		url: '/app-api/menduner/system/teacher/school/student/practice/record/enterprise/page',
		params
	})
}
