const ENTERPRISE_PATH = '/recruit/enterprise'
// 是否是企业路由
export const getIsEnterprise = () => {
  const PATH_NAME = window.location.pathname
  if (PATH_NAME === '/enterpriseVerification') {
    return true
  }
  return PATH_NAME.includes(ENTERPRISE_PATH)
}

const TEACHER_PATH = '/recruit/teacher'
// 是否是教师路由
export const getIsTeacher = () => {
  const PATH_NAME = window.location.pathname
  return PATH_NAME.includes(TEACHER_PATH)
}


const ACCESS_TOKEN_NAME = ['ENT_ACCESS_TOKEN', 'PER_ACCESS_TOKEN']
const REFRESH_TOKEN_NAME = ['ENT_REFRESH_TOKEN', 'PER_REFRESH_TOKEN']

// 获取token
export const getToken = (index = 2) => { // index: 1-招聘; 2-求职;
  return localStorage.getItem(ACCESS_TOKEN_NAME[index-1])
}

// 设置token
export const setToken = (token, index = 2) => { // index: 1-招聘; 2-求职;
  return localStorage.setItem(ACCESS_TOKEN_NAME[index-1], token)
}

// 清除token
export const removeToken = () => {
  ACCESS_TOKEN_NAME.forEach(item => localStorage.removeItem(item))
  REFRESH_TOKEN_NAME.forEach(item => localStorage.removeItem(item))
}
// 获取刷新token
export const getRefreshToken = (index) => {
  return localStorage.getItem(ACCESS_TOKEN_NAME[index-1])
}

// 设置刷新token
export const setRefreshToken = (refreshToken, index = 2) => { // index: 1-招聘; 2-求职;
  return localStorage.setItem((REFRESH_TOKEN_NAME[index-1]), refreshToken)
}

// 租户ID
export const getTenantId = () => {
  return localStorage.getItem('tenantId')
}

export const setTenantId = (username) => {
  localStorage.setItem('tenantId', username)
}
